QGIS Application - Bug report #11223
Vector layer VRT stopped working in master
2014-09-18 02:46 AM - Maxim Dubinin

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Data Provider/OGR

Affected QGIS version:master Regression?: No
Operating System: all Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19533

Description

It works fine in 2.2, but in latest master after opening VRT vector features don't show up.

Table opens fine, ogr2ogr works fine, saving works fine as well.

Test data: http://uikgeo.gis-lab.info/data/export/uiks/50.zip

Associated revisions

Revision d2f89c5a - 2014-10-20 12:18 AM - Jiirgen Fischer

don't set relevant fields for VRT data sources when filtering for a rectangle.
OGR might need attributes otherwise considered irrelevant to construct the
geometry to filter against (fixes #11223)

Revision 9a99d2f8 - 2015-01-17 12:08 AM - Jiirgen Fischer

ogr provider: virtual format driver can also be named 'VRT' (fixes #11223)

History

#1 - 2014-09-18 02:47 AM - Maxim Dubinin

seems to be the case under both Win and Linux

#2 - 2014-09-19 11:35 AM - Alexander Bruy

- Affected QGIS version changed from 2.4.0 to master
- Priority changed from Normal to Severe/Regression
- Target version set to Version 2.6

- Operating System set to all

Confirmed. After loading there are no visible features on map, but map extent is correct, attribute table is correct and | can identify (invisible) features with
identify tool. Turning on/off simplification, caching and threaded rendering does not helps.

#3 - 2014-10-19 03:19 PM - Jiirgen Fischer
- Status changed from Open to Closed
http://uikgeo.gis-lab.info/data/export/uiks/50.zip

Fixed in changeset commit:"d2f89c5a2042747e36f4f9cd0370cec2da27dica".

#4 - 2014-12-10 12:56 PM - Maxim Dubinin
- Status changed from Closed to Reopened
- Target version changed from Version 2.6 to Future Release - High Priority

| am afraid this is still not fixed. Confirmed on Windows, Ubuntu and Fedora on two different machines, latest trunk.

#5 - 2014-12-10 01:35 PM - dr -

Confirmed. Bug still present.

#6 - 2014-12-11 04:37 AM - Alexander Bruy

- Category changed from Vectors to Data Provider/OGR

#7 - 2015-01-16 03:08 PM - Jiirgen Fischer

- Status changed from Reopened to Closed

Fixed in changeset commit:"9a99d2f86fed3902e22cc051f711f3f5e577cd92".
